Subject: "Temporary merge branch 2" Conflicts

From: Stephen Bash <[email-masked]>
Date: Fri, 17 Aug 2012 09:48:45 -0400 (EDT)

Hi all-

Given this branch history:

 ---------M------M---M-------> dev
     \   /      /   /
      --------------           v1-maint
            \   \   \
             ----M---M-------> v1.5-maint

I am attempting to merge v1.5-maint into dev.  There are some expected conflicts, but when I start mergetool (kdiff3) there are also a lot of conflict markers in the base that look like this

<<<<<<< Temporary merge branch 1
    ... code here ...
=======
    ... more code here ...
>>>>>>> Temporary merge branch 2

which confuse kdiff3.  Googling around I found a few mentions of these temporary merge branches, e.g. $gmane/157591, but I don't think we have any criss-cross merges.  Can anyone provide some advice?

Any suggestions are greatly appreciated!

Thanks,
Stephen